--
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
--

TW35 = {};

function TW35.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function TW35:load(xmlFile)
	self.TW35 = false;
end;

function TW35:delete()
end;

function TW35:mouseEvent(posX, posY, isDown, isUp, button)
end;

function TW35:keyEvent(unicode, sym, modifier, isDown)
end;

function TW35:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TW35) then
			self.TW35 = not self.TW35;
		end;
	end;
end;

function TW35:updateTick(dt)
end;

function TW35:draw()
	if not self.TW35 then
		renderText(0.82, 0.21, 0.02, "Num 0: Vis Info");
	else
		renderText(0.82, 0.21, 0.02, "Num 0: Skjul Info");
		renderText(0.78, 0.46, 0.02, "Tryk KP_5: Front Vaegt af/paa");
		renderText(0.78, 0.44, 0.02, "Tryk KP_4: Front Lift af/paa");
		renderText(0.78, 0.42, 0.02, "Tryk 7: Skaerme af/paa");
    	renderText(0.78, 0.40, 0.02, "Tryk 6: Arbejdslys bagved til/fra");
		renderText(0.78, 0.38, 0.02, "Tryk 5: Arbejdslys foran til/fra");		
    	renderText(0.78, 0.36, 0.02, "Tryk KP_3: Blink H");		
    	renderText(0.78, 0.34, 0.02, "Tryk KP_2: Katastrofeblink");		
		renderText(0.78, 0.32, 0.02, "Tryk KP_1: Blink V");
		renderText(0.78, 0.30, 0.02, "Tryk 8: Tvillingehjul For af/paa");
		renderText(0.78, 0.28, 0.02, "Tryk 9: Tvillingehjul Bag af/paa");		
	end;
end;

function TW35:onLeave()
	self.TW35 = false;
end;




